#ifndef REFACTORING_MOVIE_H
#define REFACTORING_MOVIE_H

#include <string>
#include "Price.h"

class Movie {
public:
    enum Constants {
        CHILDRENS = 2,
        REGULAR = 0,
        NEW_RELEASE = 1
    };

    explicit Movie(const std::string &title, int priceCode = REGULAR);

    void setPriceCode(int arg);

    int getPriceCode() const;

    std::string getTitle() const;

private:
    std::string title;
    Price* price;
};


#endif //REFACTORING_MOVIE_H
