#ifndef REFACTORING_RENTAL_H
#define REFACTORING_RENTAL_H

#include "Movie.h"

class Rental {
public:
    Rental(const Movie &movie, int daysRented);

    const Movie &getMovie() const;

    double getCharge() const;

    int getFrequentRenterPoints() const;

private:
    Movie movie;
    int daysRented;
};


#endif //REFACTORING_RENTAL_H
